Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.labkey.remoteapi.query
Class SaveRowsResponse

    java.lang.Object
      org.labkey.remoteapi.CommandResponse
          org.labkey.remoteapi.query.RowsResponse
              org.labkey.remoteapi.query.SaveRowsResponse

    public class SaveRowsResponse

extends RowsResponse

Response object used for commands that derive from SaveRowsCommand. This response object provides helper methods for accessing the important bits of the parsed response data.

Constructor Summary
`SaveRowsResponse(java.lang.String text, int statusCode, java.lang.String contentType, org.json.simple.JSONObject json, SaveRowsCommand sourceCommand)` Constructs a new SaveRowsResponse given the response text and status code

Method Summary
`java.lang.String` | `getCommand()` Returns the 'command' response property.
`java.lang.String` | `getQueryName()` Returns the 'queryName' response property.
`java.lang.Number` | `getRowsAffected()` Returns the 'rowsAffected' response property.
`java.lang.String` | `getSchemaName()` Returns the 'schemaName' response property.

Methods inherited from class org.labkey.remoteapi.query.RowsResponse
`caseInsensitizeRowMaps, fixupParsedData, getRows`

Methods inherited from class org.labkey.remoteapi.CommandResponse
`findObject, getContentType, getParsedData, getProperty, getProperty, getRequiredVersion, getSourceCommand, getStatusCode, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaveRowsResponse

    public SaveRowsResponse(java.lang.String text,
                            int statusCode,
                            java.lang.String contentType,
                            org.json.simple.JSONObject json,
                            SaveRowsCommand sourceCommand)

  Constructs a new SaveRowsResponse given the response text and status code

  Parameters:
    `text` - The response text.
    `statusCode` - The HTTP status code.
    `contentType` - The Content-Type header value.
    `json` - The parsed JSONObject (or null if JSON was not returned).
    `sourceCommand` - A copy of the command that created this response

Method Detail

### getRowsAffected

    public java.lang.Number getRowsAffected()

  Returns the 'rowsAffected' response property.

  Returns:
    The number of rows affected by the command, or null if this property was not present in the response.

### getSchemaName

    public java.lang.String getSchemaName()

  Returns the 'schemaName' response property.

  Returns:
    The schema name affected by the command, or null if this property was not present in the response.

### getQueryName

    public java.lang.String getQueryName()

  Returns the 'queryName' response property.

  Returns:
    The query name affected by the command, or null if this property was not present in the response.

### getCommand

    public java.lang.String getCommand()

  Returns the 'command' response property.

  Returns:
    The command executed, or null if this property was not present in the response.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD